Package twisted :: Package internet :: Module protocol :: Class ClientCreator

[frames | no frames]

## Class ClientCreator

Useful for cases when we don't really need a factory.

Mainly this is when there is no shared state between protocol instances (e.g. protocols that work in a way similar to httplib or smtplib).

The API for this class is not stable.

Method Summary
| `__init__(self, reactor, protocolClass, *args, **kwargs)`
| ``connectTCP`(self, host, port, timeout, bindAddress)` Connect to remote host, return Deferred of resulting protocol instance.
| `connectUNIX(self, address, timeout)`

Method Details

### connectTCP(self, host, port, timeout=30, bindAddress=None)

Connect to remote host, return Deferred of resulting protocol instance.

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net